%define anolis_release 2
Summary: Pattern matching utilities
Name: grep
Version: 3.8
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/grep/

Source: https://ftp.gnu.org/pub/gnu/grep/grep-%{version}.tar.xz
Source1: colorgrep.sh
Source2: colorgrep.csh
Source3: GREP_COLORS
Source4: grepconf.sh

BuildRequires: gcc
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: texinfo
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: automake
Buildrequires: glibc-all-langpacks
BuildRequires: perl-FileHandle
BuildRequires: make
BuildRequires: libsigsegv-devel
#make the no-bundled-libraries exception requirements more clear
Provides: bundled(gnulib)
#move binaries to /usr/bin
Provides: /bin/grep
Provides: /bin/fgrep
Provides: /bin/egrep

%description
The GNU versions of commonly used grep utilities. Grep searches through
textual input for lines which contain a match to a specified pattern and then
prints the matching lines. GNU's grep utilities include grep, egrep and fgrep.

GNU grep is needed by many scripts, so it shall be installed on every system.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --with-libsigsegv
%make_build

%install
%make_install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -pm 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}
install -Dpm 755 %{SOURCE4} $RPM_BUILD_ROOT%{_libexecdir}/grepconf.sh

%find_lang %name

%generate_compatibility_deps

%check
%make_build check

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%config(noreplace) %{_sysconfdir}/profile.d/colorgrep.*sh
%config(noreplace) %{_sysconfdir}/GREP_COLORS
%{_infodir}/*
%{_mandir}/*/*
%{_libexecdir}/grepconf.sh

%files doc
%doc AUTHORS THANKS TODO NEWS README

%changelog
* Sun Jan 15 2023 Funda Wang <fundawang@yeah.net> - 3.8-2
- Rebuild for zstd compression of info page

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 3.8-1
- New version 3.8

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.7-2
- optimise spec file & add doc package

* Fri Mar 04 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.7-1
- Init from upstream version 3.7

